package com.ruoyi.web.modules.architecture.service;

import java.util.List;
import com.ruoyi.web.modules.architecture.domain.BizBreedingStandard;

/**
 * 养殖标准 服务
 */
public interface IBizBreedingStandardService
{
    BizBreedingStandard selectBizBreedingStandardById(Long id);

    List<BizBreedingStandard> selectBizBreedingStandardList(BizBreedingStandard query);

    int insertBizBreedingStandard(BizBreedingStandard row);

    int updateBizBreedingStandard(BizBreedingStandard row);

    int deleteBizBreedingStandardByIds(Long[] ids);

    int syncKb(Long id);

    int removeKb(Long id);

    int publish(Long id);

    int offline(Long id);
}
